Skip to main content
`Ctrl`+`K`

# pandas.core.resample.Resampler.asfreq

final Resampler.asfreq(fill_value=None)

  Return the values at the new freq, essentially a reindex.

  Parameters:
    fill_value scalar, optional

      Value to use for missing values, applied during upsampling (note this does not fill NaNs that already were present).

  Returns:
    DataFrame or Series

      Values at the specified freq.

  See also

  `Series.asfreq`

    Convert TimeSeries to specified frequency.

  `DataFrame.asfreq`

    Convert TimeSeries to specified frequency.

  Examples

      >>> ser = pd.Series([1, 2, 3, 4], index=pd.DatetimeIndex(
      ...                 ['2023-01-01', '2023-01-31', '2023-02-01', '2023-02-28']))
      >>> ser
      2023-01-01    1
      2023-01-31    2
      2023-02-01    3
      2023-02-28    4
      dtype: int64
      >>> ser.resample('MS').asfreq()
      2023-01-01    1
      2023-02-01    3
      Freq: MS, dtype: int64